# MAKEPATH -- Make a path given a directory and filename
# By Doug Mink, SAO Telescope Data Center
# September 13, 2007

procedure makepath (filename, dirpath)

file	filename=""	{prompt="File name"}
file	dirpath=""	{prompt="Directory pathname"}

file	filepath=""	{prompt="Full pathname (output)"}
bool	verbose=yes	{prompt="Log progress (y or n)"}
bool	debug=yes	{prompt="Print extra information for debugging (y or n)"}

begin
	bool vb, db
	file fn, dir, fp
	int ldir
	string history, ims, tchar
	real xshift, yshift

	fn = filename
	dir = dirpath
	vb = verbose
	db = debug

	ldir = strlen (dir)

# If directory path is NULL, set filepath to filename
	if (ldir == 0) {
	    filepath = filename
	    }

#  Find last character of directory pathname
        else {
	    tchar = substr (dir,ldir,1)

# If it is /, just concatenate the filename to the directory path
	    if (tchar == '/') {
		filepath = dir // filename
		}

# If it is not /, add a / between the directory path and the filename
	    else {
		filepath = dir // "/" // filename
		}
	    }
	return
end

# Sep 13 2007	DJM - New task
